org.gnome.glib

## Class FormatSizeFlags

- Object
- - org.freedesktop.bindings.Constant
  - - org.gnome.glib.FormatSizeFlags

-     public class FormatSizeFlags
      extends org.freedesktop.bindings.Constant

  Flags to modify the format of the string returned by `formatSize()` method.
  Since:
    4.1.3
  Author:
    Guillaume Mazoyer

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static FormatSizeFlags` | `DEFAULT` Behave the same as `formatSize()`.
    `static FormatSizeFlags` | `IEC_UNITS` Use IEC (base 1024) units with "KiB"-style suffixes.
    `static FormatSizeFlags` | `LONG_FORMAT` Include the exact number of bytes as part of the returned string.

  - ### Method Summary

    - ### Methods inherited from class org.freedesktop.bindings.Constant

      `toString`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT

          public static final FormatSizeFlags DEFAULT

      Behave the same as `formatSize()`.

    - #### IEC_UNITS

          public static final FormatSizeFlags IEC_UNITS

      Use IEC (base 1024) units with "KiB"-style suffixes. IEC units should only be used for reporting things with a strong "power of 2" basis, like RAM sizes. Network and storage sizes should be reported in the normal SI units.

    - #### LONG_FORMAT

          public static final FormatSizeFlags LONG_FORMAT

      Include the exact number of bytes as part of the returned string. For example, "45.6 kB (45,612 bytes)".